Bug 170226 - malloc checker crash
malloc checker crash
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gnome-vfs2 (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Alexander Larsson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-09 12:32 EDT by David Woodhouse
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-01 11:25:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Woodhouse 2005-10-09 12:32:42 EDT
Upon attempting to save a newly-created word processor file with 'Save As...'
from the menu...

*** glibc detected *** /usr/lib/openoffice.org2.0/program/soffice.bin:
realloc(): invalid next size: 0xb3e08390 ***
======= Backtrace: =========
/lib/libc.so.6[0x28f045]
/lib/libc.so.6(__libc_realloc+0x101)[0x28fa30]
/usr/lib/libgnomevfs-2.so.0(_gnome_vfs_xdg_alias_read_from_file+0x170)[0x1355c55]
/usr/lib/libgnomevfs-2.so.0[0x1354f4e]
/usr/lib/libgnomevfs-2.so.0[0x13545f4]
/usr/lib/libgnomevfs-2.so.0[0x13547a3]
/usr/lib/libgnomevfs-2.so.0(_gnome_vfs_xdg_unalias_mime_type+0x1b)[0x1354864]
/usr/lib/libgnomevfs-2.so.0[0x133b435]
/usr/lib/libgnomevfs-2.so.0(gnome_vfs_mime_get_value+0x5c)[0x133b891]
/usr/lib/libgnomevfs-2.so.0(gnome_vfs_mime_get_icon+0x27)[0x1338955]
/usr/lib/libgnomeui-2.so.0(gnome_icon_lookup+0x243)[0x2580573]
/usr/lib/gtk-2.0/2.4.0/filesystems/libgnome-vfs.so[0x12b245e]
/usr/lib/libgtk-x11-2.0.so.0(gtk_file_system_render_icon+0xde)[0x3c53ad0]
/usr/lib/libgtk-x11-2.0.so.0[0x3c4196e]
/usr/lib/libgtk-x11-2.0.so.0[0x3c47c7d]
/usr/lib/libgtk-x11-2.0.so.0[0x3c39506]
/usr/lib/libgtk-x11-2.0.so.0[0x3c4b11d]
/usr/lib/libgtk-x11-2.0.so.0[0x3c39506]
/usr/lib/libgtk-x11-2.0.so.0[0x3c4b11d]
/usr/lib/libgtk-x11-2.0.so.0[0x3c39506]
/usr/lib/libgtk-x11-2.0.so.0(gtk_file_chooser_set_current_folder_uri+0x7b)[0x3c39b12]
/usr/lib/openoffice.org2.0/program/fps_gnome.uno.so[0x21b5d4d]
/usr/lib/openoffice.org2.0/program/fps_gnome.uno.so[0x21b68bb]
/usr/lib/openoffice.org2.0/program/libsfx680li.so[0x66569c9]
/usr/lib/openoffice.org2.0/program/libsfx680li.so(_ZN4sfx216FileDialogHelper19SetDisplayDirectoryERK6String+0xe6)[0x66589c0]
/usr/lib/openoffice.org2.0/program/libsfx680li.so[0x65e92a1]
/usr/lib/openoffice.org2.0/program/libsfx680li.so[0x65eb334]
/usr/lib/openoffice.org2.0/program/libsfx680li.so[0x65b6cfc]
/usr/lib/openoffice.org2.0/program/libsfx680li.so[0x65b8266]
/usr/lib/openoffice.org2.0/program/libsfx680li.so[0x66270ba]
/usr/lib/openoffice.org2.0/program/libsfx680li.so[0x66264a7]
/usr/lib/openoffice.org2.0/program/libsfx680li.so(_ZN13SfxDispatcher8_ExecuteER8SfxShellRK7SfxSlotR10SfxRequestt+0x138)[0x6626998]
/usr/lib/openoffice.org2.0/program/libsfx680li.so[0x662fb8b]
/usr/lib/openoffice.org2.0/program/libsfx680li.so[0x661e451]
/usr/lib/openoffice.org2.0/program/libsfx680li.so[0x661e869]
/usr/lib/openoffice.org2.0/program/libfwk680li.so[0x56513f1]
/usr/lib/openoffice.org2.0/program/libfwk680li.so[0x565147c]
/usr/lib/openoffice.org2.0/program/libvcl680li.so[0x53b2592]
/usr/lib/openoffice.org2.0/program/libvcl680li.so(_ZN4Menu6SelectEv+0x3c)[0x54c1d42]
/usr/lib/openoffice.org2.0/program/libvcl680li.so[0x54bc7b5]
/usr/lib/openoffice.org2.0/program/libvcl680li.so[0x54bc7c8]
/usr/lib/openoffice.org2.0/program/libvcl680li.so[0x53b2592]
/usr/lib/openoffice.org2.0/program/libvcl680li.so[0x5506a47]
/usr/lib/openoffice.org2.0/program/libvclplug_gen680li.so[0x58ce72]
/usr/lib/openoffice.org2.0/program/libvclplug_gen680li.so(_ZN10SalDisplay21DispatchInternalEventEv+0xad)[0x5b20cd]
/usr/lib/openoffice.org2.0/program/libvclplug_gtk680li.so[0x1749d3]
/usr/lib/libglib-2.0.so.0[0x237c730]
/usr/lib/libglib-2.0.so.0(g_main_context_dispatch+0x1dc)[0x237a4ce]
/usr/lib/libglib-2.0.so.0[0x237d4d6]
/usr/lib/libglib-2.0.so.0(g_main_context_iteration+0x66)[0x237d9b8]
/usr/lib/openoffice.org2.0/program/libvclplug_gtk680li.so[0x1745f9]
/usr/lib/openoffice.org2.0/program/libvclplug_gen680li.so(_ZN14X11SalInstance5YieldEh+0x29)[0x5b3d99]
/usr/lib/openoffice.org2.0/program/libvcl680li.so(_ZN11Application5YieldEv+0x50)[0x53b88f4]
/usr/lib/openoffice.org2.0/program/libvcl680li.so(_ZN11Application7ExecuteEv+0x26)[0x53b8932]
/usr/lib/openoffice.org2.0/program/libsoffice.so(_ZN7desktop7Desktop4MainEv+0x149a)[0x12a254]
/usr/lib/openoffice.org2.0/program/libvcl680li.so(_Z6SVMainv+0x45)[0x53bdd21]
/usr/lib/openoffice.org2.0/program/libsoffice.so(sal_main+0x47)[0x125307]
/lib/libc.so.6(__libc_start_main+0xdf)[0x23ed5f]
/usr/lib/openoffice.org2.0/program/soffice.bin[0x80484c5]
======= Memory map: ========
00101000-0014a000 r-xp 00000000 09:01 379126    
/usr/lib/openoffice.org2.0/program/libsoffice.so
0014a000-0014b000 rwxp 00048000 09:01 379126    
/usr/lib/openoffice.org2.0/program/libsoffice.so
0014b000-00169000 r-xp 00000000 09:01 132860     /usr/lib/libjpeg.so.62.0.0
00169000-0016a000 rwxp 0001d000 09:01 132860     /usr/lib/libjpeg.so.62.0.0
0016a000-00187000 r-xp 00000000 09:01 379174    
/usr/lib/openoffice.org2.0/program/libvclplug_gtk680li.so
00187000-0018c000 rwxp 0001d000 09:01 379174    
/usr/lib/openoffice.org2.0/program/libvclplug_gtk680li.so
0018c000-001f6000 r-xp 00000000 09:01 379065    
/usr/lib/openoffice.org2.0/program/libutl680li.so
001f6000-001fb000 rwxp 00069000 09:01 379065    
/usr/lib/openoffice.org2.0/program/libutl680li.so
001fb000-00205000 r-xp 00000000 09:01 135520     /usr/lib/libpangox-1.0.so.0.800.1
00205000-00206000 rwxp 00009000 09:01 135520     /usr/lib/libpangox-1.0.so.0.800.1
00206000-00209000 r-xp 00000000 09:01 134535     /usr/lib/libgmodule-2.0.so.0.600.6
00209000-0020a000 rwxp 00002000 09:01 134535     /usr/lib/libgmodule-2.0.so.0.600.6
0020a000-0020b000 r-xp 00000000 09:01 2282216   
/usr/X11R6/lib/X11/locale/lib/common/xlcUTF8Load.so.2
0020b000-0020c000 rwxp 00000000 09:01 2282216   
/usr/X11R6/lib/X11/locale/lib/common/xlcUTF8Load.so.2
0020c000-00226000 r-xp 00000000 09:00 92083      /lib/ld-2.3.5.so
00226000-00227000 r-xp 00019000 09:00 92083      /lib/ld-2.3.5.so
00227000-00228000 rwxp 0001a000 09:00 92083      /lib/ld-2.3.5.so
0022a000-0034d000 r-xp 00000000 09:00 103132     /lib/libc-2.3.5.so
0034d000-0034f000 r-xp 00123000 09:00 103132     /lib/libc-2.3.5.so
0034f000-00351000 rwxp 00125000 09:00 103132     /lib/libc-2.3.5.so
00351000-00353000 rwxp 00351000 00:00 0
00355000-00378000 r-xp 00000000 09:00 92504      /lib/libm-2.3.5.so
00378000-00379000 r-xp 00022000 09:00 92504      /lib/libm-2.3.5.so
00379000-0037a000 rwxp 00023000 09:00 92504      /lib/libm-2.3.5.so
0037a000
---start copy and paste here---
0x6efeb8a: /usr/lib/openoffice.org2.0/program/libuno_sal.so.3 + 0x1db8a
0x6eff3d8: /usr/lib/openoffice.org2.0/program/libuno_sal.so.3 + 0x1e3d8
0x908420:  + 0x420 (__kernel_sigreturn + 0x0)
0x253888: /lib/libc.so.6 + 0x29888 (abort + 0xf8)
0x28722a: /lib/libc.so.6 + 0x5d22a (__libc_fatal + 0x0)
0x28f045: /lib/libc.so.6 + 0x65045
0x28fa30: /lib/libc.so.6 + 0x65a30 (__libc_realloc + 0x101)
0x1355c55: /usr/lib/libgnomevfs-2.so.0 + 0x4ac55
(_gnome_vfs_xdg_alias_read_from_file + 0x170)
0x1354f4e: /usr/lib/libgnomevfs-2.so.0 + 0x49f4e
0x13545f4: /usr/lib/libgnomevfs-2.so.0 + 0x495f4
0x13547a3: /usr/lib/libgnomevfs-2.so.0 + 0x497a3
0x1354864: /usr/lib/libgnomevfs-2.so.0 + 0x49864
(_gnome_vfs_xdg_unalias_mime_type + 0x1b)
0x133b435: /usr/lib/libgnomevfs-2.so.0 + 0x30435
0x133b891: /usr/lib/libgnomevfs-2.so.0 + 0x30891 (gnome_vfs_mime_get_value + 0x5c)
0x1338955: /usr/lib/libgnomevfs-2.so.0 + 0x2d955 (gnome_vfs_mime_get_icon + 0x27)
0x2580573: /usr/lib/libgnomeui-2.so.0 + 0x57573 (gnome_icon_lookup + 0x243)
0x12b245e: /usr/lib/gtk-2.0/2.4.0/filesystems/libgnome-vfs.so + 0x545e
0x3c53ad0: /usr/lib/libgtk-x11-2.0.so.0 + 0xc9ad0 (gtk_file_system_render_icon +
0xde)
0x3c4196e: /usr/lib/libgtk-x11-2.0.so.0 + 0xb796e
0x3c47c7d: /usr/lib/libgtk-x11-2.0.so.0 + 0xbdc7d
0x3c39506: /usr/lib/libgtk-x11-2.0.so.0 + 0xaf506
0x3c4b11d: /usr/lib/libgtk-x11-2.0.so.0 + 0xc111d
0x3c39506: /usr/lib/libgtk-x11-2.0.so.0 + 0xaf506
0x3c4b11d: /usr/lib/libgtk-x11-2.0.so.0 + 0xc111d
0x3c39506: /usr/lib/libgtk-x11-2.0.so.0 + 0xaf506
0x3c39b12: /usr/lib/libgtk-x11-2.0.so.0 + 0xafb12
(gtk_file_chooser_set_current_folder_uri + 0x7b)
0x21b5d4d: /usr/lib/openoffice.org2.0/program/fps_gnome.uno.so + 0x7d4d
0x21b68bb: /usr/lib/openoffice.org2.0/program/fps_gnome.uno.so + 0x88bb
0x66569c9: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x1d69c9
0x66589c0: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x1d89c0
(sfx2::FileDialogHelper::SetDisplayDirectory(String const&) + 0xe6)
0x65e92a1: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x1692a1
0x65eb334: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x16b334
0x65b6cfc: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x136cfc
0x65b8266: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x138266
0x66270ba: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x1a70ba
0x66264a7: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x1a64a7
0x6626998: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x1a6998
(SfxDispatcher::_Execute(SfxShell&, SfxSlot const&, SfxRequest&, unsigned short)
+ 0x138)
0x662fb8b: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x1afb8b
0x661e451: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x19e451
0x661e869: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x19e869
0x56513f1: /usr/lib/openoffice.org2.0/program/libfwk680li.so + 0xb13f1
0x565147c: /usr/lib/openoffice.org2.0/program/libfwk680li.so + 0xb147c
0x53b2592: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x82592
0x54c1d42: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x191d42
(Menu::Select() + 0x3c)
0x54bc7b5: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x18c7b5
0x54bc7c8: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x18c7c8
0x53b2592: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x82592
0x5506a47: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x1d6a47
0x58ce72: /usr/lib/openoffice.org2.0/program/libvclplug_gen680li.so + 0x1ee72
0x5b20cd: /usr/lib/openoffice.org2.0/program/libvclplug_gen680li.so + 0x440cd
(SalDisplay::DispatchInternalEvent() + 0xad)
0x1749d3: /usr/lib/openoffice.org2.0/program/libvclplug_gtk680li.so + 0xa9d3
0x237c730: /usr/lib/libglib-2.0.so.0 + 0x25730
0x237a4ce: /usr/lib/libglib-2.0.so.0 + 0x234ce (g_main_context_dispatch +
0x1dc)0x237d4d6: /usr/lib/libglib-2.0.so.0 + 0x264d6
0x237d9b8: /usr/lib/libglib-2.0.so.0 + 0x269b8 (g_main_context_iteration +
0x66)0x1745f9: /usr/lib/openoffice.org2.0/program/libvclplug_gtk680li.so + 0xa5f9
0x5b3d99: /usr/lib/openoffice.org2.0/program/libvclplug_gen680li.so + 0x45d99
(X11SalInstance::Yield(unsigned char) + 0x29)
0x53b88f4: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x888f4
(Application::Yield() + 0x50)
0x53b8932: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x88932
(Application::Execute() + 0x26)
0x12a254: /usr/lib/openoffice.org2.0/program/libsoffice.so + 0x29254
(desktop::Desktop::Main() + 0x149a)
0x53bdd21: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x8dd21 (SVMain()
+ 0x45)
0x125307: /usr/lib/openoffice.org2.0/program/libsoffice.so + 0x24307 (sal_main +
0x47)
0x23ed5f: /lib/libc.so.6 + 0x14d5f (__libc_start_main + 0xdf)
0x80484c5: /usr/lib/openoffice.org2.0/program/soffice.bin + 0x4c5
Comment 1 Caolan McNamara 2005-10-10 19:28:47 EDT
going to be a gnome-vfs thing rather than an OOo one. I suspect those gnome-vfs
problems are fixed in current gnome-vfs. i.e. do the same with gedit/mozilla etc
and I'd expect the same results
Comment 2 Alexander Larsson 2006-09-01 11:25:16 EDT
Please reopen if you see this again with gnome-vfs >= 2.12.0, as i think this is
the standard mime lock bug that has been fixed.


Note You need to log in before you can comment on or make changes to this bug.